#
# spec file for package python-mitmproxy-rs
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-mitmproxy-rs
Version:        0.11.1
Release:        1.1
Summary:        Rust bits for mitmproxy
License:        MIT
URL:            https://github.com/mitmproxy/mitmproxy_rs
Source:         https://files.pythonhosted.org/packages/source/m/mitmproxy-rs/mitmproxy_rs-%{version}.tar.gz
Source1:        vendor.tar.zst
BuildRequires:  %{python_module maturin >= 1}
BuildRequires:  %{python_module pip}
BuildRequires:  cargo-packaging
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
This package contains mitmproxy's Rust bits.

%prep
%autosetup -a1 -p1 -n mitmproxy_rs-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

# no tests in the tarball

%files %{python_files}
%{python_sitearch}/mitmproxy_rs
%{python_sitearch}/mitmproxy_rs-%{version}.dist-info

%changelog
* Mon Feb 10 2025 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.11.1:
  * Add LocalRedirector.unavailable_reason() and
    TunInterface.unavailable_reason().
  * Add active_processes() on Linux.
  * tun mode: disable rp_filter, remove debug logging.
  * tun mode: re-add debug logging.
  * tun mode: add default netmask
  * Remove superfluous debug logs.
  * Add debug info.
  * Assign a local IP address to our tun interface for Linux compatibility.
  * Add tun mode.
- Switch to srctar for cargo vendoring.
* Mon Oct 14 2024 Martin Sirringhaus <martin.sirringhaus@suse.com>
- update to 0.9.2
- update to 0.9.1
  * Actually better speculative fix.
- update to 0.9.0
  * Better speculative fix.
- update to 0.8.1
  * Speculative fix for stack overflows on Windows.
- update to 0.8.0
  * Move functionality into submodules.
- update to 0.7.2
  * Make `active_executables` raise for invalid paths on Windows.
- update to 0.7.1
  * Make DnsResolver.lookup_* methods return error numbers matching `getaddrinfo`.
- update to 0.7.0
  * Set IPV6_V6ONLY flag for UDP sockets
- update to 0.6.3
  * Fix a bug when initializing local redirect mode on macOS.
- update to 0.6.2
  * Handle errors when remote host has closed UDP socket
- update to 0.6.1
  * Add dedicated IPv4/IPv6 resolution methods to the DNS resolver.
- update to 0.6.0
  * Change intercept spec syntax.
  * Add DNS resolver.
- update to 0.5.2
  * Dependency updates.
- Use filtered vendor-tarball
* Tue Feb 27 2024 Markéta Machová <mmachova@suse.com>
- Initial packaging (v0.5.1), needed by python-mitmproxy
